﻿@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.StudentCourseHisorty>
    @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();

    }
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Student Course History
        </h1>
    </div>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="well">
                <table class="table">
                    <thead>
                        <tr>

                            <th>
                                Course
                            </th>
                            <th>
                                Packages.
                            </th>
                            <th>
                                Group.
                            </th>

                            <th>
                                Time.
                            </th>
                            <th>
                                From Date
                            </th>
                            <th>
                                Current Course
                            </th>
                            <th>
                                Enter By
                            </th>
                            <th>
                                Active/ <br />InActive
                            </th>
                            <th>
                                Last Update
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @{int i = 0;

                        }
                        @foreach (var item in Model)
                        {
                            if (item != null)
                            {

                                try
                                {

                                    <tr>
                                        <td>

                                            @{
                                                int cors = Convert.ToInt32(item.Course);
                                                var cours = db.MaCourses.Where(z => z.Id == cors).Select(z => z.CourseName).FirstOrDefault();
                                            }@cours
                                        </td>
                                        <td>

                                            @{
                                                int pckg = Convert.ToInt32(item.Package);
                                                var pkgs = db.MaPackages.Where(z => z.Id == pckg).Select(z => z.PackageName).FirstOrDefault();
                                            }@pkgs
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CGroup)
                                        </td>

                                        <td>

                                            @{
                                                int tims = Convert.ToInt32(item.Time);
                                                var batchtime = db.MaGroupTime_View.Where(z => z.Timeid == tims).Select(z => z.BatchTime).First();
                                            }
                                            @batchtime

                                        </td>
                                        <td>

                                            @{
                                                var dates = Convert.ToDateTime(item.CDate).ToShortDateString();

                                            }@dates
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.CurrentCourse)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modalItem => item.EnterBy)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modalItem => item.IsActive)
                                        </td>
                                        <td>
                                            @{

                                                string last = "";

                                                try
                                                {
                                                    last = item.LastUpdate.Value.ToShortDateString();
                                                }
                                                catch (Exception)
                                                {
                                                }
                                            }
                                            @last
                                        </td>
                                    </tr>
                                                            i++;
                                                        }
                                                        catch (Exception ex)
                                                        {

                                                        }
                                                    }


                                                }
                    </tbody>
                </table>
                <input type="hidden" value="@i" id="countrows" />
            </div>
        </div>
    </div>
